PDA

View Full Version : Unable to run GnoCHM or xCHM :(



Ariod
29th September 2005, 07:07 PM
Hey guys,

I'm having trouble installing either of these two CHM viewers. GnoCHM gives me the following error after running it from terminal:



You do not have all of the required Python modules to run gnochm.
Check the gnochm README file for tips on how to fix this.
What follows is the error description highlighting the problematic module.

No module named chm


But I did install all the required dependencies, including Python-CHM.
xCHM, on the other hand, gives the following error:



*** glibc detected *** xchm: free(): invalid pointer: 0x09a10e78 ***
======= Backtrace: =========
/lib/libc.so.6[0x1b0424]
/lib/libc.so.6(__libc_free+0x77)[0x1b095f]
xchm[0x805b9a5]
xchm[0x8054fe2]
/usr/lib/libwx_gtk-2.4.so.0(_Z7wxEntryiPPc+0x1e7)[0x78d515]
xchm[0x805564b]
/lib/libc.so.6(__libc_start_main+0xc6)[0x161de6]
xchm(_ZNK20wxTopLevelWindowBase10GetMaxSizeEv+0x4d )[0x8054551]
======= Memory map: ========
00111000-00116000 r-xp 00000000 08:11 1689926 /usr/lib/libchm.so.0.0.0
00116000-00117000 rwxp 00004000 08:11 1689926 /usr/lib/libchm.so.0.0.0
...
...


Any ideas?

smfinley
29th September 2005, 07:11 PM
See this article (http://fedoranews.org/mediawiki/index.php/Setting_up_GnoCHM_reader_on_FC4).